<?
define('ROOT', $_SERVER['DOCUMENT_ROOT'].'/');

if (isset($_GET['link'])) {
  $_GET['link'] = base64_decode($_GET['link']);
}

$link = (isset($_GET['link']) ? htmlspecialchars($_GET['link']) : ROOT.'_images/images/avatar.gif');

$imgType = (int) @$_GET['type'];

//переключение шаблонов
switch (empty($_GET['type']) ? false : intval($_GET['type'])) 
{
	default: $imgType = 0;    break;
	case 1:	 $imgTypeSet = 50;   break;
	case 2:	 $imgTypeSet = 128;   break;
	case 3:	 $imgTypeSet = 150;  break;
}

//если выбран режим шаблонов  
if ($imgType == 0)
{
	$width = @$_GET['width'] != 0 ? (int) @$_GET['width'] : 50;
	$height = @$_GET['height'] != 0 ? (int) @$_GET['height'] : 50;
}

//загружаем класс	  
include ROOT.'_system/_classes/class.ImgType.php';

//задаем мемо типы
header('Content-Type: image/png');
header('Cache-control: public');
header('Expires: ' . gmdate("D, d M Y H:i:s", time() + 60*60*24*7) . ' GMT');

//обьявляем класс
$image = new ImgType();

//загружаем картинку 
$image->load($link);

//если тип не 0
if($imgType > 0)$image->resizeToWidth($imgTypeSet);

//если ноль то можно задать свои размеры
if($imgType == 0)$image->resize($width , $height);

//выводим  
$image->output();